# Refund Webhook

**Refund.pay\_per\_use:** This event is triggered when a refund is created for a Pay-per-use.

```json
{
  "entity": "event",
  "user_id": "65dde318171dbd055b502de3",
  "event": "refunded.pay_per_use",
  "contains": [
    "refund",
    "user"
  ],
  "payload": {
    "refund": {
      "_id": "65e0220ed03692125f1f3592",
      "paymentGatewayRefundId": "rfnd_NgatMWS157Nzyu",
      "amount": 1,
      "currency": "INR",
      "cancelAccess": false,
      "userId": "65dde318171dbd055b502de3",
      "clientId": "65015ff10070846629fb981e",
      "createdAt": "2024-02-29T06:19:58.420Z",
      "transactionId": "65dde31b171dbd055b502de8",
      "updatedAt": "2024-02-29T06:20:28.907Z"
    },
    "user": {
      "phoneNumber": "8948948898",
      "userId": "65dde318171dbd055b502de3",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "8948948898"
    }
  },
  "client_info": {
    "userAgent": "axios/0.21.1",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop"
  },
  "created_at": 1709187629
}

```

**Refund.subscription:** This event is triggered when a refund is created for a subscription.

```json
{
  "entity": "event",
  "user_id": "65e01719d03692125f1f323f",
  "event": "refunded.subscription",
  "contains": [
    "user",
    "refund"
  ],
  "payload": {
    "user": {
      "phoneNumber": "8383884833",
      "email": "fvdzcxz@rsgfdcx.fvc",
      "userId": "65e01719d03692125f1f323f",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "dfsxzc dvzxc",
      "city": "new delhi (okhla phase i)",
      "location": {
        "latitude": 28.5223,
        "longitude": 77.2849,
        "postcode": "110001"
      },
      "username": "8383884833"
    },
    "refund": {
      "_id": "65e01fe8d03692125f1f356a",
      "paymentGatewayRefundId": "rfnd_NgajgFeD4I04Ve",
      "amount": 1,
      "currency": "INR",
      "cancelAccess": false,
      "userId": "65e01719d03692125f1f323f",
      "clientId": "65015ff10070846629fb981e",
      "createdAt": "2024-02-29T06:10:48.435Z",
      "transactionId": "65e01798d03692125f1f33e5",
      "updatedAt": "2024-02-29T06:11:18.961Z"
    }
  },
  "client_info": {
    "userAgent": "axios/0.21.1",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop"
  },
  "created_at": 1709187079
}

```

**Refund.pass:** This event is triggered when a refund is created for a pass.

```json
{
  "entity": "event",
  "user_id": "65d44453cc6cfa43c284a19c",
  "event": "refunded.pass",
  "contains": [
    "refund",
    "user"
  ],
  "payload": {
    "refund": {
      "_id": "65e02242d03692125f1f3593",
      "paymentGatewayRefundId": "rfnd_NgauHW7CMRO717",
      "amount": 1,
      "currency": "INR",
      "cancelAccess": false,
      "userId": "65d44453cc6cfa43c284a19c",
      "clientId": "65015ff10070846629fb981e",
      "createdAt": "2024-02-29T06:20:50.593Z",
      "transactionId": "65d44503cc6cfa43c284a1e6",
      "updatedAt": "2024-02-29T06:21:21.144Z"
    },
    "user": {
      "phoneNumber": "9598598585",
      "userId": "65d44453cc6cfa43c284a19c",
      "country": "IN",
      "address": {
        "apartment": "",
        "area": "",
        "pincode": "",
        "landmark": "",
        "city": "",
        "state": "",
        "country": ""
      },
      "name": "",
      "city": "new delhi (pocket c)",
      "location": {
        "latitude": 28.5246,
        "longitude": 77.2793,
        "postcode": "110001"
      },
      "username": "9598598585"
    }
  },
  "client_info": {
    "userAgent": "axios/0.21.1",
    "country": "India",
    "countryCode": "IN",
    "deviceType": "desktop"
  },
  "created_at": 1709187681
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/new-webhooks/refund-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
